
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


package com.vektorsoft.demux.samples.integrate.jfx;

import com.vektorsoft.demux.core.mva.DMXAbstractView;
import com.vektorsoft.demux.core.mva.DMXAdapter;
import com.vektorsoft.demux.core.mva.DMXLocalModel;
import com.vektorsoft.demux.desktop.jfx.view.JFXRootView;
import javafx.geometry.Insets;
import javafx.scene.control.Button;
import javafx.scene.layout.HBox;
import javafx.scene.text.Text;

/**
 *
 * @author Vladimir Djurovic
 */
public class HelloView extends DMXAbstractView {
    
    private HBox hbox;
    private Text text;
    private Button button;
    private int testData;
    
    
    
    public HelloView(DMXAdapter adapter){
	 super(adapter,"testData");
    }

   

    @Override
    public void render() {
        text.setText("Current value: " + testData);
       
    }

    @Override
    public String getParentViewId() {
        return JFXRootView.JFX_ROOT_VIEW_ID;
    }

    @Override
    public void updateFromModel(DMXLocalModel local) {
        testData = local.get("testData",Integer.class,4);
    }

    @Override
    public Object getViewUI() {
        return hbox;
    }


    @Override
    public void constructUI() {
        hbox = new HBox();
        text = new Text("Hello, DEMUX!");
        button = new Button("Click me");
        button.setId("clickButton");
        hbox.getChildren().add(text);
        hbox.getChildren().add(button);
        hbox.setPadding(new Insets(5, 10, 15, 20));
        
    }

    

   

}
